package cn.com.poc.knowledge.service;

import cn.com.poc.knowledge.entity.BizKnowledgeDatabaseEntity;
import cn.com.poc.knowledge.query.KnowledgeDatabaseQueryInfoQueryCondition;
import cn.com.poc.knowledge.query.KnowledgeDatabaseQueryInfoQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizKnowledgeDatabaseService extends BaseService {

    BizKnowledgeDatabaseEntity get(java.lang.Long id);

    List<BizKnowledgeDatabaseEntity> findByExample(BizKnowledgeDatabaseEntity example, PagingInfo pagingInfo) throws Exception;

    BizKnowledgeDatabaseEntity save(BizKnowledgeDatabaseEntity entity);

    BizKnowledgeDatabaseEntity update(BizKnowledgeDatabaseEntity entity);

    void deletedById(java.lang.Long id);

    List<KnowledgeDatabaseQueryInfoQueryItem> queryKnowledgeDatabaseQueryInfo(KnowledgeDatabaseQueryInfoQueryCondition condition, PagingInfo pagingInfo);

    Integer[] checkIsExist(Integer[] ids, Integer memberId);

}